## libcanberra 0.30

=== debian/changelog ===
libcanberra (0.30-7ubuntu1) eoan; urgency=medium

  * Resynchronize with Debian, the remainign changes are
    - Disable login sound by default and hide sound from startup applications
    - Install the gtk plugin in the unity-settings-daemon dir

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 21 Jun 2019 12:02:01 +0200

libcanberra (0.30-7) unstable; urgency=medium

  * Update Vcs fields for migration to https://salsa.debian.org/
  * Add -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 27 Dec 2018 10:35:49 -0500

libcanberra (0.30-6) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2
  * Bump debhelper compat to 11
  * Mark libcanberra-doc as Multi-Arch: foreign

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 17 Dec 2017 17:51:51 -0500

libcanberra (0.30-5) unstable; urgency=medium

  * gnome-session-canberra: Drop wrong manual dependency on libcanbera-gtk0
    It already depends on the correct libcanberra-gtk3-0
  * debian/control.in:
    - Drop obsolete Build-Depends on dpkg-dev >= 1.14.13 satisfied in Wheezy
    - Also drop obsolete Pre-Depends added for multiarch support
    - Have libcanberra0 depend on sound-theme-freedesktop since it is required
      by the freedesktop.org draft Sound Theme specification (LP: #790608)
  * Install GTK+ 3 module for unity-settings-daemon too
  * Add 03_onlyshowin_unity.patch: Play login sound in Unity too (if enabled)

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 03 Dec 2017 16:50:26 -0500

libcanberra (0.30-4) unstable; urgency=medium

  * Team upload

  [ Jeremy Bicha ]
  * d/watch: Use format version 4
  * d/watch: Use @PACKAGE@ and @ANY_VERSION@ tokens

  [ Simon McVittie ]
  * Run gtkdocize to update build system (Closes: #876596)
  * Set Rules-Requires-Root: no
  * Switch from cdbs to dh
  * Move to debhelper compat level 10
    - Don't use dh-autoreconf explicitly, it is now the default
  * Standards-Version: 4.1.1 (no further changes required)
  * Give all packages distinct short descriptions
  * Enable PIE hardening

 -- Simon McVittie <smcv@debian.org>  Mon, 30 Oct 2017 09:44:55 +0000

libcanberra (0.30-3) unstable; urgency=medium

  * Team upload.

  [ Emilio Pozuelo Monfort ]
  * debian/libcanberra0.symbols,
    debian/libcanberra0.symbols.hurd-i386:
    + Drop hurd-i386 symbols file, instead use arch tags to mark a couple of
      symbols as not available on hurd.

  [ Laurent Bigonville ]
  * debian/patches/gtk_dont_assume_x11.patch: Don't assume all GdkDisplays are
    GdkX11Displays, fixing crashes when running Wayland. (Closes: #820944)
  * debian/control, debian/compat: Bump debhelper compatibility to 9
  * debian/control: Bump Standards-Version to 3.9.7 (no furter changes)
  * Drop -dbg package and rely on automatically built -dbgsym ones
  * debian/rules: Pass --as-needed to the linked and to dh_autoreconf to
    reduce the number of runtime dependencies

 -- Simon McVittie <smcv@debian.org>  Wed, 13 Apr 2016 22:36:46 +0100

libcanberra (0.30-2.1) unstable; urgency=medium

  [ Samuel Thibault ]
  * Non-maintainer upload.

  [ Jelmer Vernooij ]
  * Remove build-dependency on libtdb-dev on the Hurd, as tdb depends on
    byte range locking which is not available on the Hurd. Closes: #190367.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 31 Aug 2014 22:17:15 +0200

libcanberra (0.30-2) unstable; urgency=low

  * debian/rules: Properly exclude dh_makeshlibs from generating shlibs files
    for 0.30 canberra modules
  * debian/control.in:
    - Bump Standards-Version to 3.9.4 (no further changes)
    - Use canonical VCS URL

 -- Laurent Bigonville <bigon@debian.org>  Thu, 30 May 2013 17:14:43 +0200

libcanberra (0.30-1) experimental; urgency=low

  * New upstream release
  * Gconf usage is dropped (remove b-d and schema install)
  * Ported to gstreamer 1.0

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 24 Mar 2013 10:35:17 +0100

libcanberra (0.28-6) unstable; urgency=low

  * libcanberra-gtk-common-dev breaks/replaces libcanberra-gtk-dev <<
    0.26. Closes: #694283.

 -- Josselin Mouette <joss@debian.org>  Mon, 26 Nov 2012 16:07:47 +0100

libcanberra (0.28-5) unstable; urgency=low

  * debian/watch: Switch to .xz tarballs
  * Move canberra-gtk-play manpage from libcanberra-gtk0 to
    gnome-session-canberra to follow the executable (Closes: #684676)
  * Fix libcanberra-gstreamer-dbg long description (Closes: #675693)
  * debian/rules: Drop update-patch-series target, this was when the package
    was maintained in git.
  * Call dh_autoreconf during build to update m4/libtool.m4 and prevent
    hurd-i386 to be built with rpath (Closes: #677343)
  * debian/patches/undefined_reference.diff: Also link the GTK2 flavour
    against libX11 and the modules against libgmodule-2.0

 -- Laurent Bigonville <bigon@debian.org>  Sun, 23 Sep 2012 01:38:26 +0200

libcanberra (0.28-4) unstable; urgency=low

  * Build for multiarch. Thanks to Steve Langasek (Closes: #653678)
  * libcanberra-gtk-module and libcanberra-gtk3-module need hard-coded
    versioned dependencies on the minimum versions of gtk2/gtk3 that support
    lookups in the multiarch path.
  * Move canberra-gtk-play from libcanberra-gtk0 to gnome-session-canberra,
    since the latter is the only package which uses it; and make
    gnome-session-canberra Architecture: any.
  * Put under the GNOME team maintenance with Marc-Andre approval
  * debian/control.in: Bump Standards-Version to 3.9.3 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Tue, 03 Apr 2012 18:08:26 +0200
